net.snowflake.client.core

## Class BaseIncidentTest

- java.lang.Object
- - net.snowflake.client.AbstractDriverIT
  - - net.snowflake.client.core.BaseIncidentTest

Direct Known Subclasses:
  Incident2IT, IncidentIT

    public class BaseIncidentTest
    extends AbstractDriverIT

Created by hyu on 6/7/16.

### Field Summary

Fields
`protected static long` `maxDumpSizeMb`
`protected static int` `maxLogDumps`

### Constructor Summary

Constructors
Constructor and Description
`BaseIncidentTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `generateIncidentWithSignature(String signature, boolean silenceIncidents)`
`void` `setUp()`
`static void` `setUpClass()`
`void` `tearDown()`
`static void` `tearDownClass()`
`protected void` `verifyIncidentRegisteredInGS(String sourceErrorSignature, int expectedNumberOfIncidents)`

### Methods inherited from class net.snowflake.client.AbstractDriverIT

`getConnection, getConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### maxLogDumps

    protected static int maxLogDumps

#### maxDumpSizeMb

    protected static long maxDumpSizeMb

### Constructor Detail

#### BaseIncidentTest

    public BaseIncidentTest()

### Method Detail

#### setUpClass

    public static void setUpClass()
                           throws SQLException,
                                  ClassNotFoundException

Throws:
  `SQLException`
  `ClassNotFoundException`

#### tearDownClass

    public static void tearDownClass()
                              throws SQLException

Throws:
  `SQLException`

#### setUp

    public void setUp()

Overrides:
  `setUp` in class `AbstractDriverIT`

#### tearDown

    public void tearDown()

Overrides:
  `tearDown` in class `AbstractDriverIT`

#### generateIncidentWithSignature

    protected void generateIncidentWithSignature(String signature,
                                                 boolean silenceIncidents)
                                          throws SQLException

Throws:
  `SQLException`

#### verifyIncidentRegisteredInGS

    protected void verifyIncidentRegisteredInGS(String sourceErrorSignature,
                                                int expectedNumberOfIncidents)
                                         throws SQLException

Throws:
  `SQLException`